package com.atlassian.stash.sal.api.search.query;

import com.atlassian.sal.api.search.query.SearchQuery;
import com.atlassian.sal.api.search.query.SearchQueryParser;

public class SearchQueryParserImpl implements SearchQueryParser {

    @Override
    public SearchQuery parse(final String s) {
        //TODO Not Implemented Yet
        return new SearchQuery() {
            @Override
            public SearchQuery setParameter(final String name, final String value) {
                return this;
            }

            @Override
            public String getParameter(final String name) {
                return null;  //TODO Not Implemented Yet
            }

            @Override
            public SearchQuery append(final String query) {
                return this;  //TODO Not Implemented Yet
            }

            @Override
            public String buildQueryString() {
                return null;  //TODO Not Implemented Yet
            }

            @Override
            public String getSearchString() {
                return null;  //TODO Not Implemented Yet
            }

            @Override
            public int getParameter(final String name, final int defaultValue) {
                return 0;  //TODO Not Implemented Yet
            }
        };
    }

}
